<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_dialog_top_bg_blue"
    >
    <TextView
        android:id="@+id/txt_title"
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:gravity="center"
        android:text="请扫描库位"
        android:textColor="@color/white"
        android:background="@drawable/shape_dialog_top_bg_blue"
        android:textSize="@dimen/t20"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <LinearLayout
        android:id="@+id/zero_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_et"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:layout_marginLeft="@dimen/dp_4"
        android:layout_marginRight="@dimen/dp_4"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txt_title"
        android:padding="10dp">
    <EditText
        android:id="@+id/et_putway_qty"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@drawable/bg_white_et"
        android:focusable="true"
        android:hint="请输入/扫描上架数量"
        android:imeOptions="actionDone"
        android:paddingRight="5dp"
        android:singleLine="true"
        android:inputType="number"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line"
        android:textSize="@dimen/sp_14" />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_4"
        android:background="@drawable/bg_white_et"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:layout_marginLeft="@dimen/dp_4"
        android:layout_marginRight="@dimen/dp_4"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/zero_line"
        android:padding="9dp">

        <EditText
            android:id="@+id/goods_location"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/bg_white_et"
            android:focusable="true"
            android:hint="请输入/扫描上架库位"
            android:imeOptions="actionDone"
            android:paddingRight="5dp"
            android:singleLine="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/line"
            android:textSize="@dimen/sp_14" />
        <ImageButton
            android:id="@+id/search_location_clear"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="3dp"
            android:background="@android:color/transparent"
            android:padding="6dp"
            android:src="@drawable/ic_clear"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/goods_location"
            android:visibility="visible" />
        <ImageView
            android:id="@+id/img_scan_location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/search_location_clear"
            android:src="@drawable/ic_scanning_gray" />
    </LinearLayout>
    <View android:layout_width="0dp"
        android:layout_height="5dp"
        android:background="@drawable/shape_dialog_top_bg_blue"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line"/>
</android.support.constraint.ConstraintLayout>